curl --request GET \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/members/{memberId}/activity \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "evcus_0c150c51730c6b60b1",
"type": "customer.loyalty.tier.upgraded",
"data": {
"data": {
"loyalty_tier_to": {
"name": "<string>",
"points": {
"from": 123,
"to": 123
},
"id": "<string>",
"campaign_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"config": {
"points": {
"from": 123,
"to": 123
}
},
"object": "loyalty_tier",
"earning_rules": {},
"rewards": {},
"updated_at": "2023-11-07T05:31:56Z",
"expiration": {
"customer_id": "cust_7iUa6ICKyU6gH40dBU25kQU1",
"campaign_id": "camp_rRsfatlwN7unSeUIJDCYedal",
"tier_id": "<string>",
"created_at": "2021-12-22T10:13:06.487Z",
"start_date": "<string>",
"expiration_date": "<string>",
"updated_at": "2021-12-22T10:13:06.487Z"
}
},
"created_at": "2022-02-25T13:32:08.734Z",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"source_id": "<string>",
"metadata": {},
"object": "customer"
},
"campaign": {
"id": "<string>",
"name": "<string>",
"campaign_type": "<string>",
"type": "AUTO_UPDATE",
"is_referral_code": true,
"voucher": {
"type": "DISCOUNT_VOUCHER",
"redemption": {
"quantity": 123,
"redeemed_quantity": 1
},
"code_config": {
"length": 123,
"charset": "<string>",
"pattern": "<string>",
"prefix": "<string>",
"postfix": "<string>",
"initial_count": 123
},
"discount": {
"type": "AMOUNT",
"amount_off": 123,
"amount_off_formula": "<string>",
"aggregated_amount_limit": 123,
"effect": "APPLY_TO_ORDER",
"is_dynamic": true
},
"gift": {
"amount": 123,
"balance": 123,
"subtracted_amount": 123,
"effect": "APPLY_TO_ORDER"
},
"loyalty_card": {
"points": 123,
"expiration_rules": {
"period_type": "FIXED_DAY_OF_YEAR",
"period_value": 123,
"rounding_type": "END_OF_MONTH",
"rounding_value": 123,
"fixed_month": 6,
"fixed_day": 16
}
}
},
"referral_program": {
"conversion_event_type": "redemption",
"custom_event": {
"id": "ms_Ll9enAm2BCN0M1s4VxWobLFM",
"name": "<string>"
},
"referee_reward": {
"related_object_parent": {
"id": "camp_kdxp3vf1clQ9CFs1jpqv3tZe",
"name": "<string>",
"object": "CAMPAIGN"
},
"type": "LOYALTY_CARD",
"amount": 123
}
},
"auto_join": true,
"join_once": true,
"active": true,
"category_id": "<string>",
"category": "<string>",
"categories": [
{
"id": "<string>",
"name": "<string>",
"hierarchy": 1,
"object": "category",
"created_at": "2022-07-14T10:45:13.156Z",
"updated_at": "2022-08-16T10:52:08.094Z"
}
],
"metadata": {},
"start_date": "2022-09-20T00:00:00.000Z",
"expiration_date": "2022-09-30T00:00:00.000Z",
"description": "<string>",
"created_at": "2024-01-01T11:11:11.111Z",
"updated_at": "2024-01-01T11:11:11.111Z",
"object": "campaign"
},
"loyalty_tier_from": {
"name": "<string>",
"points": {
"from": 123,
"to": 123
},
"id": "<string>",
"campaign_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"config": {
"points": {
"from": 123,
"to": 123
}
},
"object": "loyalty_tier",
"earning_rules": {},
"rewards": {},
"updated_at": "2023-11-07T05:31:56Z",
"expiration": {
"customer_id": "cust_7iUa6ICKyU6gH40dBU25kQU1",
"campaign_id": "camp_rRsfatlwN7unSeUIJDCYedal",
"tier_id": "<string>",
"created_at": "2021-12-22T10:13:06.487Z",
"start_date": "<string>",
"expiration_date": "<string>",
"updated_at": "2021-12-22T10:13:06.487Z"
}
}
},
"event_source": {
"channel": "API",
"user": {
"id": "user_xyzfghSTprSTUVWXYlk6tuvXYst7FGH7"
},
"api_key": {
"name": "<string>",
"app_id": "1XXXX5XX-0XXX-XXXb-X7XX-XX2XXaXXX6XX"
}
}
},
"created_at": "2022-08-30T09:14:07.660Z",
"group_id": "w-0e30613abc1f044513"
}
],
"has_more": true,
"more_starting_after": "<string>"
}List Member Activity with campaign ID
This endpoint belongs to the legacy loyalty API (/v1/loyalties).
Voucherify will not develop new features for this API. However, critical issues may still receive fixes.
For new integrations, use Loyalty v2.
If you have questions, contact Voucherify support.
Retrieves the list of activities for the given member ID related to a voucher and customer who is the holder of the voucher.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/members/{memberId}/activity \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "evcus_0c150c51730c6b60b1",
"type": "customer.loyalty.tier.upgraded",
"data": {
"data": {
"loyalty_tier_to": {
"name": "<string>",
"points": {
"from": 123,
"to": 123
},
"id": "<string>",
"campaign_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"config": {
"points": {
"from": 123,
"to": 123
}
},
"object": "loyalty_tier",
"earning_rules": {},
"rewards": {},
"updated_at": "2023-11-07T05:31:56Z",
"expiration": {
"customer_id": "cust_7iUa6ICKyU6gH40dBU25kQU1",
"campaign_id": "camp_rRsfatlwN7unSeUIJDCYedal",
"tier_id": "<string>",
"created_at": "2021-12-22T10:13:06.487Z",
"start_date": "<string>",
"expiration_date": "<string>",
"updated_at": "2021-12-22T10:13:06.487Z"
}
},
"created_at": "2022-02-25T13:32:08.734Z",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"source_id": "<string>",
"metadata": {},
"object": "customer"
},
"campaign": {
"id": "<string>",
"name": "<string>",
"campaign_type": "<string>",
"type": "AUTO_UPDATE",
"is_referral_code": true,
"voucher": {
"type": "DISCOUNT_VOUCHER",
"redemption": {
"quantity": 123,
"redeemed_quantity": 1
},
"code_config": {
"length": 123,
"charset": "<string>",
"pattern": "<string>",
"prefix": "<string>",
"postfix": "<string>",
"initial_count": 123
},
"discount": {
"type": "AMOUNT",
"amount_off": 123,
"amount_off_formula": "<string>",
"aggregated_amount_limit": 123,
"effect": "APPLY_TO_ORDER",
"is_dynamic": true
},
"gift": {
"amount": 123,
"balance": 123,
"subtracted_amount": 123,
"effect": "APPLY_TO_ORDER"
},
"loyalty_card": {
"points": 123,
"expiration_rules": {
"period_type": "FIXED_DAY_OF_YEAR",
"period_value": 123,
"rounding_type": "END_OF_MONTH",
"rounding_value": 123,
"fixed_month": 6,
"fixed_day": 16
}
}
},
"referral_program": {
"conversion_event_type": "redemption",
"custom_event": {
"id": "ms_Ll9enAm2BCN0M1s4VxWobLFM",
"name": "<string>"
},
"referee_reward": {
"related_object_parent": {
"id": "camp_kdxp3vf1clQ9CFs1jpqv3tZe",
"name": "<string>",
"object": "CAMPAIGN"
},
"type": "LOYALTY_CARD",
"amount": 123
}
},
"auto_join": true,
"join_once": true,
"active": true,
"category_id": "<string>",
"category": "<string>",
"categories": [
{
"id": "<string>",
"name": "<string>",
"hierarchy": 1,
"object": "category",
"created_at": "2022-07-14T10:45:13.156Z",
"updated_at": "2022-08-16T10:52:08.094Z"
}
],
"metadata": {},
"start_date": "2022-09-20T00:00:00.000Z",
"expiration_date": "2022-09-30T00:00:00.000Z",
"description": "<string>",
"created_at": "2024-01-01T11:11:11.111Z",
"updated_at": "2024-01-01T11:11:11.111Z",
"object": "campaign"
},
"loyalty_tier_from": {
"name": "<string>",
"points": {
"from": 123,
"to": 123
},
"id": "<string>",
"campaign_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"config": {
"points": {
"from": 123,
"to": 123
}
},
"object": "loyalty_tier",
"earning_rules": {},
"rewards": {},
"updated_at": "2023-11-07T05:31:56Z",
"expiration": {
"customer_id": "cust_7iUa6ICKyU6gH40dBU25kQU1",
"campaign_id": "camp_rRsfatlwN7unSeUIJDCYedal",
"tier_id": "<string>",
"created_at": "2021-12-22T10:13:06.487Z",
"start_date": "<string>",
"expiration_date": "<string>",
"updated_at": "2021-12-22T10:13:06.487Z"
}
}
},
"event_source": {
"channel": "API",
"user": {
"id": "user_xyzfghSTprSTUVWXYlk6tuvXYst7FGH7"
},
"api_key": {
"name": "<string>",
"app_id": "1XXXX5XX-0XXX-XXXb-X7XX-XX2XXaXXX6XX"
}
}
},
"created_at": "2022-08-30T09:14:07.660Z",
"group_id": "w-0e30613abc1f044513"
}
],
"has_more": true,
"more_starting_after": "<string>"
}Authorizations
Scopes
Path Parameters
Query Parameters
Response
Returns a list of event objects related to the loyalty card.
Response body schema for retrieving member activity.
As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request with a starting_after_id query or a different limit to get more records returned in the results.

